View Issue Details

IDProjectCategoryView StatusLast Update
0003667Slicer4Module Transformspublic2018-05-30 00:12
ReporterlassoanAssigned Tolassoan 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionSlicer 4.9.0 
Summary0003667: Applying a non-linear transform creates an empty image if the displacement is large
Description

When a non-linear transform is applied to a volume then the input volume is used as reference image. This often produces somewhat lower quality images, but the result is completely wrong when there is a large displacement in the transform. In this case the transformed volume may be located completely outside the original volume's region. In this case the transformed volume is an empty volume.

It should be possible to define a reference volume for each non-linear transform.

TagsNo tags attached.

Activities

jcfr

jcfr

2015-11-12 15:00

administrator   ~0013605

@Andras: Is this still an issue ?

lassoan

lassoan

2018-05-30 00:12

developer   ~0015799

This has been recently fixed. Transforms module enlarges the volume extent to not crop the transformed volume.

Related Changesets

Import 2017-06-07 23:51:09: master b0d6897d

2014-04-23 17:06:44

naucoin

Details Diff
ENH: add check box to show/hide coordinate columns

When box is checked, hide the markup coordiante columns in the
table, when unchecked show them.

Issue 0003667

git-svn-id: http://svn.slicer.org/Slicer4/trunk@23112 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Loadable/Markups/Resources/UI/qSlicerMarkupsModule.ui Diff File
mod - Modules/Loadable/Markups/qSlicerMarkupsModuleWidget.cxx Diff File
mod - Modules/Loadable/Markups/qSlicerMarkupsModuleWidget.h Diff File

Issue History

Date Modified Username Field Change
2014-04-19 04:41 lassoan New Issue
2015-08-03 22:27 jcfr Status new => assigned
2015-08-03 22:27 jcfr Assigned To => lassoan
2015-08-03 22:29 jcfr Assigned To lassoan =>
2015-11-12 15:00 jcfr Note Added: 0013605
2015-11-12 15:00 jcfr Status assigned => feedback
2015-11-12 15:06 jcfr Severity major => minor
2017-06-10 08:51 Changeset attached => Slicer master b0d6897d
2018-05-30 00:12 lassoan Assigned To => lassoan
2018-05-30 00:12 lassoan Status feedback => resolved
2018-05-30 00:12 lassoan Resolution open => fixed
2018-05-30 00:12 lassoan Fixed in Version => Slicer 4.9.0
2018-05-30 00:12 lassoan Note Added: 0015799